ServerEvents.recipes(event => {
    event.custom({
  "type": "minecraft:crafting_shaped",
  "key": {
    "H": {
      "item": "minecraft:honey_bottle"
    },
    "M": {
      "item": "farmersdelight:milk_bottle"
    },
    "P": {
      "item": "farmersdelight:pie_crust"
    },
    "R": {
      "item": "seeddelight:rosehip"
    },
    "S": {
      "item": "minecraft:sugar"
    }
  },
  "pattern": [
    "MHM",
    "RRR",
    "SPS"
  ],
  "result": {
    "item": "farmersrespite:rose_hip_pie"
  }
    })
    event.remove({output:'farmersrespite:rose_hip_pie'})
})